## python-launchpadlib-toolkit 2.3

=== Makefile ===
APPNAME=lpltk
APPURL=http://launchpad.net/lpltk

# Run all the tests
check:
	./run-tests

clean:
	rm -rf doc/api
	find . -name '*.pyc' -print0 | xargs -0 rm -f
	find . -name '*~' -print0 | xargs -0 rm -f

# Check for common & easily catchable Python mistakes.
pyflakes:
	pyflakes $(APPNAME)

# Check for coding standard violations.
pep8:
	find . -name '*.py' -print0 | xargs -0 pep8 --ignore E221,E222
	find . -name '*.py' -print0 | xargs -0 pep8 --ignore E221,E222 --repeat | wc -l

apidocs:
	mkdir -p doc
	pydoctor --add-package $(APPNAME) \
		--make-html --html-output=doc/api \
		--project-name=$(APPNAME) \
		--project-url=$(APPURL)

lint: pyflakes pep8

.PHONY: check lint pyflakes pep8 apidocs clean

# Ignore pyflakes exit code so pep8 will run for 'make lint'
.IGNORE: pyflakes

## python-launchpadlib-toolkit 0.2.1

=== debian/changelog ===
python-launchpadlib-toolkit (0.2.1) maverick; urgency=low

  * Fix parameter name in debug routine.
  * First upload to Ubuntu

 -- Bryce Harrington <bryce@ubuntu.com>  Thu, 17 Jun 2010 17:21:21 -0700

python-launchpadlib-toolkit (0.2) karmic; urgency=low

  * Add handling of socket.error exceptions, which can be triggered when
    the Launchpad service is unreachable (such as from a busted router).

 -- Bryce Harrington <bryce@ubuntu.com>  Tue, 06 Oct 2009 11:19:08 -0700

python-launchpadlib-toolkit (0.1) karmic; urgency=low

  * New revision, split off from arsenal, with ideas brazenly thieved from
    Markus Korn's launchpadlib-shell.
  * debian packaging borrowed/adapted from python-launchpad-bugs

 -- Bryce Harrington <bryce@ubuntu.com>  Tue, 29 Sep 2009 16:16:09 -0700

=== debian/control ===
Source: python-launchpadlib-toolkit
Section: python
Priority: extra
Maintainer: Arsenal Developers <arsenal-devel@lists.launchpad.net>
Build-Depends: cdbs (>= 0.4.43), debhelper (>= 5), python-central (>= 0.5), python-all-dev (>= 2.5)
Standards-Version: 3.8.3
XS-Vcs-Bzr: https://code.launchpad.net/~arsenal-devel/python-launchpadlib-toolkit/main
XS-Python-Version: all

Package: python-launchpadlib-toolkit
Section: python
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python (>= 2.5), python-launchpadlib
XB-Python-Version: ${python:Versions}
Description: convenience library for launchpadlib
 Classes to manage credentials and access bug information
 in Launchpad using the Launchpad API.
 .
 https://launchpad.net/arsenal/

## python-launchpadlib-toolkit 0.4.3

=== debian/changelog ===
python-launchpadlib-toolkit (0.4.3) natty; urgency=low

  * distribution: expose current_series
  * milestones: add a new milestones collection
  * distribution: expose all_milestones
  * distribution: expose active_milestones
  * distribution_source_package: convert milestones to launchpad milestones
    in search parameters

 -- Andy Whitcroft <apw@canonical.com>  Mon, 28 Feb 2011 17:10:47 +0000

python-launchpadlib-toolkit (0.4.2) natty; urgency=low

  * Add new script launchpad-service-status which looks to see if
    launchpad is up and running.
  * control: Add dependency on python-feedparser
  * bug_task:
    - add all of the date accessors exported by launchpad
    - add a "setter" property for task Importance

 -- Bryce Harrington <bryce@ubuntu.com>  Wed, 09 Feb 2011 16:00:27 -0800

python-launchpadlib-toolkit (0.4.1) natty; urgency=low

  * Added --prefix=/usr to distutils for executable install
    in correct directory, fix ftbfs (LP: #701207)

 -- Angel Abad <angelabad@ubuntu.com>  Mon, 10 Jan 2011 21:45:26 +0100

python-launchpadlib-toolkit (0.4) natty; urgency=low

  * Update close-fix-committed-bugs to use lpltk instead of arsenal
  * Restrict example scripts to read-only anonymous access.  This allows
    them to run without needing the user to set up credentials.
  * Add key:value parsing of bug descriptions
  * Improve error handling of auth errors
  * Add example script to print out bugs matching status and date
  * Add several tutorials and simple examples
  * New classes and methods for interacting with bugs

 -- Bryce Harrington <bryce@ubuntu.com>  Thu, 23 Dec 2010 20:12:10 -0800

python-launchpadlib-toolkit (0.3.1~lucid) lucid; urgency=low

  * Added --no-compile to distutils

 -- Kamran Riaz Khan <krkhan@inspirated.com>  Sat, 14 Aug 2010 10:45:44 +0500

python-launchpadlib-toolkit (0.3~karmic) karmic; urgency=low

  [Brian Murray]
  * Catch failures to import LPNET_SERVICE_ROOT
  
  [Bryce Harrington]
  * Add scripts/current-ubuntu-series-name: Displays current development
    series for Ubuntu
  * Add scripts/ls-series: Lists all series for Ubuntu
  * Add scripts/find-similar-bugs: Searches for what LP thinks might be
    duplicates of the given bug.
  * Add scripts/close-fix-committed-bugs: Closes all Fix Committed
    bugs (such as when doing a release)
  * Add scripts/ls-assigned-bugs: Lists user's assigned bugs

  [ Kamran Riaz Khan ]
  * Added support for send-attachments-upstream

 -- Kamran Riaz Khan <krkhan@inspirated.com>  Sat, 14 Aug 2010 01:03:41 +0500

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Package: python-launchpadlib-toolkit
 Section: python
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python (>= 2.5), python-launchpadlib
+Depends: ${python:Depends}, ${misc:Depends}, python (>= 2.5), python-launchpadlib, python-feedparser
 XB-Python-Version: ${python:Versions}
 Description: convenience library for launchpadlib
  Classes to manage credentials and access bug information

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM	:= pycentral

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_PYTHON_INSTALL_ARGS_ALL := --no-compile --prefix=/usr
DEB_BUILD_PROG:=debuild --preserve-envvar PATH --preserve-envvar CCACHE_DIR -us -uc $(DEB_BUILD_PROG_OPTS)
arch-build::
	rm -rf debian/arch-build
	mkdir -p debian/arch-build/$(DEB_SOURCE_PACKAGE)-$(DEB_VERSION)
	tar -c --exclude=arch-build --no-recursion -f - `bzr inventory` | (cd debian/arch-build/$(DEB_SOURCE_PACKAGE)-$(DEB_VERSION);tar xf -)
	(cd debian/arch-build/$(DEB_SOURCE_PACKAGE)-$(DEB_VERSION) && $(DEB_BUILD_PROG))

## python-launchpadlib-toolkit 0.5

=== debian/changelog ===
python-launchpadlib-toolkit (0.5) precise; urgency=low

  * Add Specification class
  * Add gravity() - heuristic for identifying bugs of interest
  * Add releases() - list of Ubuntu releases the bug is confirmed affecting
  * Add some basic tests
  * Transition to DHPython2

 -- Bryce Harrington <bryce@ubuntu.com>  Thu, 09 Feb 2012 09:13:42 -0800

python-launchpadlib-toolkit (0.4.5) precise; urgency=low

  * bug_tasks: provide filters to constrain type of bug tasks being iterated.
  * bug_task: upstream product
  * person: retrieve list of non-hidden email addresses
  * Add support for credentials_file management.
  * Add an optional mechanism to check comments before adding a new one
  * Add filters to the BugTasks object.
  * Add type checking for Launchpad objects and collections
  * Add several more properties and attributes
  * Add caching of codenames for supported / stable distro series
  * Fix various bugs

 -- Bryce Harrington <bryce@ubuntu.com>  Tue, 24 May 2011 12:08:31 -0700

python-launchpadlib-toolkit (0.4.4) natty; urgency=low

  * service:  support the qastaging server
  * bug_task: expose upstream_bug_tracker
  * person: provide email addresses
  * person: karma
  * bug: return age of various bug items
  * ...plus a couple handful's of bug fixes

 -- Bryce Harrington <bryce@ubuntu.com>  Fri, 08 Apr 2011 19:36:56 -0700

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,9 @@
 Section: python
 Priority: extra
 Maintainer: Arsenal Developers <arsenal-devel@lists.launchpad.net>
-Build-Depends: cdbs (>= 0.4.43), debhelper (>= 5), python-central (>= 0.5), python-all-dev (>= 2.5)
+Build-Depends: cdbs (>= 0.4.90~), debhelper (>= 5), python-all-dev (>= 2.6.6.3~)
 Standards-Version: 3.8.3
 XS-Vcs-Bzr: https://code.launchpad.net/~arsenal-devel/python-launchpadlib-toolkit/main
-XS-Python-Version: all
 
 Package: python-launchpadlib-toolkit
 Section: python

## python-launchpadlib-toolkit 1.0

=== debian/changelog ===
python-launchpadlib-toolkit (1.0) precise-proposed; urgency=low

  * launchpad-service-status: Backport fix from lpltk 2.x (commit #149) to
    check blog screenscrape results.  This tool determines if there is a
    launchpad outage by examining the launchpad blog at
    http://blog.launchpad.net/category/notifications/feed.  It can happen
    there are no outages listed, in which case outage_start and outage_end
    will be undefined.  Don't attempt to test against these parameters if
    this is the case.
    (LP: #988312)
  * Fix breakage caused by change in wadllib's date handling.  In the past
    launchpadlib would return actual date objects but now it returns unicode
    timestamps.  Add fix_time() routine to work around this problem.  
    Otherwise all lpltk-using scripts will fail to run.  Idemptontly, provide
    functionality in o2str to convert real datetimes into timestamps.
  * Fix breakage caused by Launchpad not providing __len__ any more.  This
    was dropped by Launchpad to resolve some timeout issues they were
    having.  Length counts are now provided by dedicated properties.
    Switch to using them.
  * Fix inclusion of missing 'iso-tracker' tag in gravity calculation.
  * Add to_dict() routines to bug and bug_task to help for generating JSON.
  * Add team functionality for determining subbed packages and parent team.
  * New script for searching inside attachments of a package's bugs.
  * Cleanup a stray build/ directory.
  * Add some tests.
  * setup.py, debian/control:  Define package pre-requisites.
  * Increment version number to 1.0 (stable release), as per UDS-Q session
    decision.  All changes on the 1.x branch will be stable bug fixes
    henceforth.

 -- Bryce Harrington <bryce@ubuntu.com>  Fri, 18 May 2012 12:22:04 -0700

=== debian/control ===
Source: python-launchpadlib-toolkit
Section: python
Priority: extra
Maintainer: Arsenal Developers <arsenal-devel@lists.launchpad.net>
Build-Depends:
 cdbs (>= 0.4.90~),
 debhelper (>= 5),
 python-all-dev (>= 2.6.6.3~)
Standards-Version: 3.8.3
XS-Vcs-Bzr: https://code.launchpad.net/~arsenal-devel/python-launchpadlib-toolkit/main

Package: python-launchpadlib-toolkit
Section: python
Architecture: all
Depends:
 ${python:Depends},
 ${misc:Depends},
 python (>= 2.5),
 python-launchpadlib,
 python-feedparser
XB-Python-Version: ${python:Versions}
Description: convenience library for launchpadlib
 Classes to manage credentials and access bug information
 in Launchpad using the Launchpad API.
 .
 https://launchpad.net/arsenal/

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
-DEB_PYTHON_SYSTEM	:= pycentral
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/python-distutils.mk

## python-launchpadlib-toolkit 2.2

=== debian/changelog ===
python-launchpadlib-toolkit (2.2) quantal; urgency=low

  * Add TKCollection abstract base class
  * Add TKEntry abstract base class
  * Add BugWatch wrapper class
  * Add uri() to several classes to get the self_link
  * distribution.py: Handle undefined series
  * LaunchpadService.py:
    - Deprecate person(); users should switch to get_person() now
    - Make API more consistently return TK objs rather than LPL ones
    - Add get_team_participants()
  * bug_task.py / bug_tasks.py:
    - Enable filtering the list of bugs in various ways
    - Check person existance before use
    - Add is_complete_upstream()
    - Add set_filter_importance_length()
  * bug.py / bugs.py:
    - Add age_latest_patch()
    - Fix timezone comparison error
  * message.py / messages.py:
    - Enable filtering the list of messages in various ways
    - Add routine to return list of poster names for message collections

 -- Bryce Harrington <bryce@ubuntu.com>  Wed, 22 Aug 2012 11:25:46 -0700

python-launchpadlib-toolkit (2.1) quantal; urgency=low

  * New upstream release
    - Update reports to include quantal and other recent version info
    - Quell more error messages due to launchpad goofs
    - Disable use of json-pickle for now (nothing is using it yet)
    - Generate API docs via Makefile
    - Allow sorting by dupe count in reports
    - New utouch-report-improvements script
    - New most-duplicates script
    - Clear out remainder of contribs dir
  * debian/rules:
    - Switch to using dh_python2

 -- Bryce Harrington <bryce@ubuntu.com>  Thu, 07 Jun 2012 13:41:28 -0700

python-launchpadlib-toolkit (2.0) quantal; urgency=low

  * json_check: New script to validate JSON files, including launchpadlib
    cache files.

 -- Bryce Harrington <bryce@ubuntu.com>  Fri, 18 May 2012 12:35:59 -0700

## python-launchpadlib-toolkit 2.3

=== debian/changelog ===
python-launchpadlib-toolkit (2.3) raring; urgency=low

  [Brendan Donegan]
  * Add lp-file-bug script

  [Bryce Harrington]
  * launchpad-service-status: Handle additional date formats
    (LP: #1041902)
  * Add support for querying publishing information about source packages
  * Add routine to get the subscribed DistributionSourcePackages
  * Add property to provide the primary archive
  * Add lookup of the current testing series (for Debian)
  * Catch ElementTree exceptions, usually caused by cache corruption

 -- Bryce Harrington <bryce@ubuntu.com>  Wed, 02 Jan 2013 18:51:13 -0800

=== debian/control ===
Source: python-launchpadlib-toolkit
Section: python
Priority: extra
Maintainer: Arsenal Developers <arsenal-devel@lists.launchpad.net>
Build-Depends:
 debhelper (>= 7.0.50~),
 python (>= 2.6.6-3~),
 python-all,
 python-distutils-extra (>= 2.28),
Standards-Version: 3.9.2
Vcs-Bzr: https://code.launchpad.net/~arsenal-devel/lpltk/2.x

Package: python-launchpadlib-toolkit
Section: python
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
 python (>= 2.4),
 python-launchpadlib,
 python-feedparser
XB-Python-Version: ${python:Versions}
Description: convenience library for launchpadlib
 Classes to manage credentials and access bug information
 in Launchpad using the Launchpad API.
 .
 https://launchpad.net/lpltk

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh "$@" --with python2 --buildsystem python_distutils
